ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Iface.Flags

Description

Datatype definitions for the flag representation stored in interface files

# Documentation

data IfaceDynFlags #

Constructors

IfaceDynFlags |

Fields

- ifaceMainIs :: Maybe (Maybe String)
- ifaceSafeMode :: IfaceTrustInfo
- ifaceLang :: Maybe IfaceLanguage
- ifaceExts :: [IfaceExtension]
- ifaceCppOptions :: IfaceCppOptions
- ifaceJsOptions :: IfaceCppOptions
- ifaceCmmOptions :: IfaceCppOptions
- ifacePaths :: [String]
- ifaceProf :: Maybe IfaceProfAuto
- ifaceTicky :: [IfaceGeneralFlag]
- ifaceCodeGen :: [IfaceGeneralFlag]
- ifaceFatIface :: Bool
- ifaceDebugLevel :: Int
- ifaceCallerCCFilters :: [CallerCcFilter]

#### Instances

Instances details

NFData IfaceDynFlags # |
Instance details Defined in GHC.Iface.Flags Methods rnf :: IfaceDynFlags -> () #
Binary IfaceDynFlags # |
Instance details Defined in GHC.Iface.Flags Methods put_ :: WriteBinHandle -> IfaceDynFlags -> IO () # put :: WriteBinHandle -> IfaceDynFlags -> IO (Bin IfaceDynFlags) # get :: ReadBinHandle -> IO IfaceDynFlags #

newtype IfaceGeneralFlag #

Constructors

IfaceGeneralFlag GeneralFlag |

#### Instances

Instances details

NFData IfaceGeneralFlag # |
Instance details Defined in GHC.Iface.Flags Methods rnf :: IfaceGeneralFlag -> () #
Binary IfaceGeneralFlag # |
Instance details Defined in GHC.Iface.Flags Methods put_ :: WriteBinHandle -> IfaceGeneralFlag -> IO () # put :: WriteBinHandle -> IfaceGeneralFlag -> IO (Bin IfaceGeneralFlag) # get :: ReadBinHandle -> IO IfaceGeneralFlag #
Outputable IfaceGeneralFlag # |
Instance details Defined in GHC.Iface.Flags Methods ppr :: IfaceGeneralFlag -> SDoc #

newtype IfaceProfAuto #

Constructors

IfaceProfAuto ProfAuto |

#### Instances

Instances details

NFData IfaceProfAuto # |
Instance details Defined in GHC.Iface.Flags Methods rnf :: IfaceProfAuto -> () #
Binary IfaceProfAuto # |
Instance details Defined in GHC.Iface.Flags Methods put_ :: WriteBinHandle -> IfaceProfAuto -> IO () # put :: WriteBinHandle -> IfaceProfAuto -> IO (Bin IfaceProfAuto) # get :: ReadBinHandle -> IO IfaceProfAuto #
Outputable IfaceProfAuto # |
Instance details Defined in GHC.Iface.Flags Methods ppr :: IfaceProfAuto -> SDoc #

newtype IfaceExtension #

Constructors

IfaceExtension Extension |

#### Instances

Instances details

NFData IfaceExtension # |
Instance details Defined in GHC.Iface.Flags Methods rnf :: IfaceExtension -> () #
Binary IfaceExtension # |
Instance details Defined in GHC.Iface.Flags Methods put_ :: WriteBinHandle -> IfaceExtension -> IO () # put :: WriteBinHandle -> IfaceExtension -> IO (Bin IfaceExtension) # get :: ReadBinHandle -> IO IfaceExtension #
Outputable IfaceExtension # |
Instance details Defined in GHC.Iface.Flags Methods ppr :: IfaceExtension -> SDoc #

newtype IfaceLanguage #

Constructors

IfaceLanguage Language |

#### Instances

Instances details

NFData IfaceLanguage # |
Instance details Defined in GHC.Iface.Flags Methods rnf :: IfaceLanguage -> () #
Binary IfaceLanguage # |
Instance details Defined in GHC.Iface.Flags Methods put_ :: WriteBinHandle -> IfaceLanguage -> IO () # put :: WriteBinHandle -> IfaceLanguage -> IO (Bin IfaceLanguage) # get :: ReadBinHandle -> IO IfaceLanguage #
Outputable IfaceLanguage # |
Instance details Defined in GHC.Iface.Flags Methods ppr :: IfaceLanguage -> SDoc #

data IfaceCppOptions #

Constructors

IfaceCppOptions |

Fields

- ifaceCppIncludes :: [FilePath]
- ifaceCppOpts :: [String]
- ifaceCppSig :: ([String], Fingerprint)

#### Instances

Instances details

NFData IfaceCppOptions # |
Instance details Defined in GHC.Iface.Flags Methods rnf :: IfaceCppOptions -> () #
Binary IfaceCppOptions # |
Instance details Defined in GHC.Iface.Flags Methods put_ :: WriteBinHandle -> IfaceCppOptions -> IO () # put :: WriteBinHandle -> IfaceCppOptions -> IO (Bin IfaceCppOptions) # get :: ReadBinHandle -> IO IfaceCppOptions #
Outputable IfaceCppOptions # |
Instance details Defined in GHC.Iface.Flags Methods ppr :: IfaceCppOptions -> SDoc #

pprIfaceDynFlags :: IfaceDynFlags -> SDoc #

missingExtraFlagInfo :: SDoc #